/*
 * ValueDisplay.java
 *
 * Created on September 28, 2006, 4:52 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.chart;

import it.businesslogic.ireport.IReportFont;
import java.awt.Color;

/**
 *
 * @author gtoffoli
 */
public class ValueDisplay {
    
    private IReportFont font = null;
    private java.awt.Color color = null;
    private String mask = "";
    
    /** Creates a new instance of ValueDisplay */
    public ValueDisplay() {
    }
    
    public ValueDisplay cloneMe()
    {
        ValueDisplay obj = new ValueDisplay();
        if (font != null) obj.setFont( (IReportFont)font.clone() );
        if (color != null) obj.setColor( new Color( color.getRGB() ));
        obj.setMask( new String(getMask()) );
        return obj;
    }

    public IReportFont getFont() {
        return font;
    }

    public void setFont(IReportFont font) {
        this.font = font;
    }

    public java.awt.Color getColor() {
        return color;
    }

    public void setColor(java.awt.Color color) {
        this.color = color;
    }

    public String getMask() {
        return mask;
    }

    public void setMask(String mask) {
        this.mask = mask;
    }
    
}
